Subject: Re: [PATCH v8] RO/NX protection for loadable kernel modules

From: "H. Peter Anvin" <[email-masked]>
Date: Sun, 07 Feb 2010 17:54:03 -0800

On 02/07/2010 05:45 PM, Rusty Russell wrote:
> 
> Strict RO/NX protection.  But without the option enabled, the patch gives
> best-effort protection, which is nice (for no additional space).
> 

Since Linux kernel modules are actually .o's, not .so's, in theory we
could bundle the sections together by type.  There could still be
external fragmentation, of course, but on most systems module unload is
relatively rare.

	-hpa

-- 
H. Peter Anvin, Intel Open Source Technology Center
I work for Intel.  I don't speak on their behalf.